Skip to main content
GET
/
api
/
audit-trail
/
records
/
{record_uuid}
Get Single Audit Record
curl --request GET \
  --url https://api.example.com/api/audit-trail/records/{record_uuid} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "event_type": "<string>",
  "category": "<string>",
  "summary": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "actor": "<string>",
  "application_id": "<string>",
  "application_key": "<string>",
  "application": {
    "id": "<string>",
    "key": "<string>",
    "name": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "accent_color": "<string>",
    "param_count": 0
  },
  "entity_type": "<string>",
  "entity_id": "<string>",
  "severity": "low",
  "params": {},
  "metadata": {},
  "ip_address": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

record_uuid
string
required

Cookies

antidote_session
string | null

Response

Successful Response

id
string
required
event_type
string
required
category
string
required
summary
string
required
created_at
string<date-time>
required
actor
string | null
application_id
string | null
application_key
string | null
application
AuditParamApplicationResponse · object
entity_type
string | null
entity_id
string | null
severity
enum<string>
default:low
Available options:
critical,
high,
medium,
low,
none
params
Params · object
metadata
Metadata · object
ip_address
string | null